## NAME

v.lidar.growing - Building contour determination and Region Growing algorithm for determining the building inside

## KEYWORDS

vector, LIDAR

## SYNOPSIS

v.lidar.growing
v.lidar.growing help
v.lidar.growing input=name output=name input_first=name [database=string] [driver=string] [tj=float] [td=float] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
input_first=name
  Name of the first pulse vector map
database=string
  Database name
driver=string
  Driver name
  Options: dbf,pg,ogr
tj=float
  Threshold for cell object frequency in region growing
  Default: 0.2
td=float
  Threshold for double pulse in region growing
  Default: 0.6

## DESCRIPTION

v.lidar.growing is the second of three step to filter LIDAR data. It identifies which is the internal area of every object on a LIDAR point surface. The input data is the output result of the v.lidar.correction module. It is based on the hypothesis that inside the object the heights are, in general, higher than on the contour. The output will be a vector map which points are pre-classified as TERRAIN SINGLE PULSE, TERRAIN DOUBLE PULSE, OBJECT SINGLE PULSE or OBJECT DOUBLE PULSE. The input of this module should be the output of v.lidar.edgedetection module, and the output of this module will be the input of v.lidar.correction module.

## NOTES

The final result of the whole procedure (v.lidar.edgedetection, v.lidar.growing, v.lidar.correction) will be a point classification in four categories:
TERRAIN SINGLE PULSE
TERRAIN DOUBLE PULSE
OBJECT SINGLE PULSE
OBJECT DOUBLE PULSE

## EXAMPLES

#### Basic region growing procedure

    v.lidar.growing input=edge output=growing

## SEE ALSO

v.lidar.edgedetection, v.lidar.correction

## AUTHOR

Original version of program in GRASS 5.4:
Maria Antonia Brovelli, Massimiliano Cannata, Ulisse Longoni and Mirko Reguzzoni
Update for GRASS 6.X:
Roberto Antolin and Gonzalo Moreno

Last changed: $Date: 2006/08/22 21:24:11 $

Main index - vector index - Full index